#
# spec file for package rubygem-activerecord (Version 1.15.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm ruby ruby-devel rubygem-activesupport rubygems sed sysvinit tar texinfo timezone util-linux zlib


Name:           rubygem-activerecord
Version:        1.15.3
Release:        20.2
%define mod_name activerecord
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
BuildRequires:  rubygem-activesupport = 1.4.2
Requires:       rubygems >= 0.8.11
Requires:       rubygem-activesupport = 1.4.2
#
Url:            http://rubyforge.org/projects/activerecord/
Source:         http://rubyforge.org/frs/download.php/18405/activerecord-1.15.3.gem
Source1:        offset_limit_fix_backport_1-2-stable.diff
#
Summary:        Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties
database tables and classes together for business objects, like
Customer or Subscription, that can find, save, and destroy themselves
without resorting to manual SQL.



Authors:
--------
    rails development team

%debug_package
%prep

%build

%install
gem install --build-root=%{buildroot} %{S:0}
%{__rm} -v %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/lib/active_record/vendor/mysql.rb
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
patch -p2 < %{S:1}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Tue Sep 23 2008 - mrueckert@suse.de
- added offset_limit_fix_backport_1-2-stable.diff (bnc#426198)
  fix potential sql injection via :limit and :offset params
* Mon May 14 2007 - mrueckert@suse.de
- update to version 1.15.3:
  * Allow a polymorphic :source for has_many :through associations.
  Closes #7143 [protocool]
  * Consistently quote primary key column names.
  [#7763] [toolmantim]
  * Fixtures: fix YAML ordered map support.
  [#2665] [Manuel Holtgrewe, nfbuckley]
  * Fix has_many :through << with custom foreign keys.
  [#6466], #7153 [naffis, Rich Collins]
- additional changes from version 1.15.2:
  * Pass a range in :conditions to use the SQL BETWEEN operator.
  [#6974] [dcmanges]
  Student.find(:all, :conditions => { :grade => 9..12 })
  * Don't create instance writer methods for class attributes.
  [Rick]
  * When dealing with SQLite3, use the table_info pragma helper,
  so that the bindings can do some translation for when sqlite3
  breaks incompatibly between point releases. [Jamis Buck]
  * SQLServer: don't choke on strings containing 'null'.
  [#7083] [Jakob S]
  * Consistently use LOWER() for uniqueness validations
  (rather than mixing with UPPER()) so the database can always
  use a functional index on the lowercased column.  #6495 [Si]
  * MySQL: SET SQL_AUTO_IS_NULL=0 so 'where id is null' doesn't
  select the last inserted id.  #6778 [Jonathan Viney, timc]
  * Fixtures use the table name and connection from
  set_fixture_class.  #7330 [Anthony Eden]
  * SQLServer: quote table name in indexes query.
  [#2928] [keithm@infused.org]
* Wed Jan 24 2007 - mrueckert@suse.de
- update to 1.15.1:
  update for rails 1.2.1. Too many changes to mention them here.
  See /usr/lib*/ruby/gems/1.8/gems/activerecord-1.15.1/CHANGELOG .
* Thu Aug 10 2006 - mrueckert@suse.de
- update to version 1.14.4:
  * Add warning about the proper way to validate the presence of
  a foreign key.  (rails:#4147)
  [Francois Beausoleil <francois.beausoleil@gmail.com>]
  * Fix syntax error in documentation.
  (rails:#4679) [mislav@nippur.irb.hr]
  * Update inconsistent migrations documentation. (rails:#4683)
  [machomagna@gmail.com]
* Sat Jul 01 2006 - mrueckert@suse.de
- update to version 1.14.3:
  * Properly quote index names in migrations
  (closes #4764) [John Long]
  * Ensure that Associations#include_eager_conditions?
  checks both scoped and explicit conditions [Rick]
  * Associations#select_limited_ids_list adds the ORDER BY columns
  to the SELECT DISTINCT List for postgresql. [Rick]
* Wed Jun 21 2006 - mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 - mrueckert@suse.de
- Initial package version 1.14.2
